FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Hardened

 
 
LinkBack Thread Tools
 
Old 01-07-2011, 12:44 AM
Brian Davis
 
Default Kernel won't build, but binutils is up to date

Hello,
After switching profiles and trying to install the latest kernel, I get the following:

# make && make modules_install/usr/src/linux-2.6.36-hardened-r6/scripts/gcc-version.sh: line 25: ngcc: command not found/usr/src/linux-2.6.36-hardened-r6/scripts/gcc-version.sh: line 26: ngcc: command not foundmake: ngcc: Command not found**CHK * * include/linux/version.h**CHK * * include/generated/utsrelease.h/usr/src/linux-2.6.36-hardened-r6/arch/x86/Makefile:202: ******* 2.6 PaX kernels no longer build correctly with old versions of binutils.*** Please upgrade your binutils to 2.18 or newer. *Stop.
# emerge --search binutilsSearching... * *[ Results for search key : binutils ][ Applications found : 4 ]
* *sys-devel/binutils** * *Latest version available: 2.20.1-r1** * *Latest version installed: 2.20.1-r1** * *Size of files: 17,105 kB** * *Homepage: * * *http://sources.redhat.com/binutils/** * *Description: * Tools necessary to build programs** * *License: * * * || ( GPL-3 LGPL-3 )

binutils is up to date.
Do I need to emerge -e system or something similar?
Thanks!
 

Thread Tools




All times are GMT. The time now is 03:00 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org